## Saxon.Api

Class DocumentBuilder

Class DomDestination

Class DynamicContext

Class DynamicError

Class EmptyEnumerator

Class ExtensionFunctionCall

Class ExtensionFunctionDefinition

Class NullDestination

Class Processor

Class QName

Class SchemaManager

Class SchemaValidator

Class Serializer

Class StaticContext

Class StaticError

Class TextWriterDestination

Class XPathCompiler

Class XPathExecutable

Class XPathSelector

Class XQueryCompiler

Class XQueryEvaluator

Class XQueryExecutable

Class XdmAnyFunctionType

Class XdmAnyItemType

Class XdmAnyNodeType

Class XdmAtomicType

Class XdmAtomicValue

Class XdmDestination

Class XdmEmptySequence

Class XdmItem

Class XdmItemType

Class XdmNode

Class XdmNodeKind

Class XdmSequenceType

Class XdmValue

Class XmlDestination

Class XsltCompiler

Class XsltExecutable

Class XsltTransformer

Enum RecoveryPolicy

Enum SchemaValidationMode

Enum TreeModel

Enum WhitespacePolicy

Enum XdmAxis

Interface IMessageListener

Interface IQueryResolver

Interface IResultDocumentHandler

Interface IXdmEnumerator

Interface IXmlLocation

Interface SchemaResolver

## Saxon.Api
Class XdmNodeKind

    public class XdmNodeKind

extends XdmItemType

  Instances of `XdmNodeKind` represent the item types denoted in XPath as `document-node()`, `element()`, `attribute()`, `text()`, and so on. These are all represented by singular named instances.

Property Summary
static`XdmNodeKind` | `Document`
static`XdmNodeKind` | `Element`
static`XdmNodeKind` | `Attribute`
static`XdmNodeKind` | `Text`
static`XdmNodeKind` | `Comment`
static`XdmNodeKind` | `ProcessingInstruction`
static`XdmNodeKind` | `Namespace`

Method Summary
static`XdmNodeKind` | `ForNode(XdmNode node)` Get the item type representing the node kind of a supplied node
static`XdmNodeKind` | `ForNodeType(System.Xml.XmlNodeType type)` Get the item type corresponding to an `XmlNodeType` as defined in the System.Xml package

Property Detail

### Document

    public static XdmNodeKind Document {}

### Element

    public static XdmNodeKind Element {}

### Attribute

    public static XdmNodeKind Attribute {}

### Text

    public static XdmNodeKind Text {}

### Comment

    public static XdmNodeKind Comment {}

### ProcessingInstruction

    public static XdmNodeKind ProcessingInstruction {}

### Namespace

    public static XdmNodeKind Namespace {}

Method Detail

### ForNode

    public static XdmNodeKind ForNode(XdmNode node)

  Get the item type representing the node kind of a supplied node

  Parameters:
  `node` -
    The node whose node kind is required
  returns
    The relevant node kind

### ForNodeType

    public static XdmNodeKind ForNodeType(System.Xml.XmlNodeType type)

  Get the item type corresponding to an `XmlNodeType` as defined in the System.Xml package

  Parameters:
  `type` -
    The `XmlNodeType` to be converted
  returns
    The corresponding `XdmNodeKind`